//=============================
// une table en bois
// blanc ?? Non !! pas blanc
// avec son pot en tain dessus 
// fichier : table.inc
// objet : table_pot
//=============================


/*
texture{DMFWood6}
-----------------
texture {T_Wood18}
  finish 
  {
    specular 0.35
    roughness 0.05
    ambient 0.3
  }
*/
global_settings 
{
  photons 
  {
    spacing .1
    gather 5,15
  }
}

// --- La table

#declare table =
union // le dessus + les pieds
{
union // le dessus
{
box
{
  <-4,0,0>, <4,0.8,6>
  texture {T_Wood18}
  finish 
  {
    specular 0.35
    roughness 0.05
    ambient 0.3
  }
  translate <0,2,0>
  
}


superellipsoid // dessus du buffet
{ 
  <.25, .25>
   texture {T_Wood18}
  finish 
  {
    specular 0.35
    roughness 0.05
    ambient 0.3
  }
  scale <5,0.3,4>
  translate <0,3,3>
}
  translate <0,3,0>
}
  
// les pieds
  
box   // pied avant gauche
{
  <-0.7,0,0>, <0,5,0.7>
  texture {T_Wood18}
  finish 
  {
    specular 0.35
    roughness 0.05
    ambient 0.3
  }
  translate <-3.3,0,0>
}
  
  box   // pied avant droit
{
  <-0.7,0,0>, <0,5,0.7>
  texture {T_Wood18}
  finish 
  {
    specular 0.35
    roughness 0.05
    ambient 0.3
  }
  translate <4,0,0>
}
  box   // pied arriere gauche
{
  <-0.7,0,0>, <0,5,0.7>
  texture {T_Wood18}
  finish 
  {
    specular 0.35
    roughness 0.05
    ambient 0.3
  }
  translate <-3.3,0,5.3>
}
  
  box   // pied arriere droit
{
  <-0.7,0,0>, <0,5,0.7>
  texture {T_Wood18}
  finish 
  {
    specular 0.35
    roughness 0.05
    ambient 0.3
  }
  translate <4,0,5.3>
}
  //rotate y*90
}

// --- le pot en tain

//===== le pot en tain sur la table

#declare pot_etain =
  union
{
difference
{
  
lathe
{
  cubic_spline
  12
  <0,0>, <2.5,0>, <2,1>, <2,4>, <1.5,5>, <1.5,6>, <2,7>, <2,8>, <0,8>, <1.5,7.5>,<0,7>, <0,0>
  texture {Bright_Bronze}
  //scale 0.5
}

cylinder
{
  <0,0,0>,<0,10,0>,1.3
  pigment {Black}
}
  

}  // fin de la diffrence qui fait le trou dans le pot

  torus // anse du pot
{
  0.8,0.1  texture{Bright_Bronze}
  scale <1.5,1,3>
  rotate x*-90
  translate <2,5,0>
}
  
} // fin de l'union qui fait le pot_etain

//--- L'union des deux

#declare table_pot =
  
union
{
object
{
  table
}

object
{
  pot_etain
  scale 0.3
  rotate y*-20
  translate <2.2,6.3,2>
}
  

cylinder 
{
  <0,1,0>,<0,5,0>,1.5 
  pigment {White filter .8} 
  interior {ior 1.3}
  photons 
  {
             target .5
             refraction on
             reflection off
   }
  scale 0.3
  translate <2.5,6,4.5>
}
  //rotate x*-30
}

